=== debian/changelog ===
cider (0.16.0+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Apr 2018 14:21:12 +0200

cider (0.16.0+dfsg-2) unstable; urgency=medium

  * Set autopkgtest_keep in d/elpa-test.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 09 Feb 2018 22:24:34 -0700

cider (0.16.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #885384).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Jan 2018 12:02:32 -0700
