=== debian/control ===
Source: cider
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders:
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 debhelper (>= 10),
 dh-elpa,
 dh-linktree,
 elpa-buttercup,
 elpa-clojure-mode,
 elpa-pkg-info,
 elpa-queue,
 elpa-spinner,
 mkdocs,
 mkdocs-bootstrap,
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/emacsen-team/cider
Vcs-Git: https://salsa.debian.org/emacsen-team/cider
Homepage: https://www.github.com/clojure-emacs/cider
Testsuite: autopkgtest-pkg-elpa

Package: cider-doc
Section: doc
Architecture: all
Depends:
 elpa-cider (= ${source:Version}),
 ${misc:Depends},
Description: Clojure IDE for Emacs - documentation
 CIDER is the Clojure(Script) Interactive Development Environment that Rocks
 .
 While clojure-mode provides Emacs support for editing Clojure source files,
 CIDER's cider-mode provides support for interacting with a running Clojure
 process for compilation, debugging, looking up definitions and more.

Package: elpa-cider
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
 leiningen | gradle,
# | boot-clojure
Recommends:
 emacs (>= 46.0),
# libcider-nrepl-clojure,
# libtools-nrepl-clojure,
Enhances:
 emacs,
 emacs25,
Provides:
 elpa-nrepl,
Suggests:
 cider-doc,
Description: Clojure IDE for Emacs
 CIDER is the Clojure(Script) Interactive Development Environment that Rocks
 .
 While clojure-mode provides Emacs support for editing Clojure source files,
 CIDER's cider-mode provides support for interacting with a running Clojure
 process for compilation, debugging, looking up definitions and more.
 .
 This package installs CIDER's documentation.
