=== debian/changelog ===
cider (0.17.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #900825, #901564).
  * Flip long descriptions of binary packages, which were somehow the
    wrong way around.
  * Update debian/cider-doc.linktrees as search javascript in bin:mkdocs
    has moved.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 06 Jul 2018 08:36:11 +0100
