=== debian/control ===
--- 
+++ 
@@ -33,6 +33,8 @@
  While clojure-mode provides Emacs support for editing Clojure source files,
  CIDER's cider-mode provides support for interacting with a running Clojure
  process for compilation, debugging, looking up definitions and more.
+ .
+ This package installs CIDER's documentation.
 
 Package: elpa-cider
 Architecture: all
@@ -58,5 +60,3 @@
  While clojure-mode provides Emacs support for editing Clojure source files,
  CIDER's cider-mode provides support for interacting with a running Clojure
  process for compilation, debugging, looking up definitions and more.
- .
- This package installs CIDER's documentation.
