## cider 0.18.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,12 @@
 test: version build
 	$(CASK) exec buttercup -L . -L ./test/utils/
 
+autoloads:
+	$(CASK) exec $(EMACS) -Q --batch \
+		-l autoload.el \
+		--eval "(let ((generated-autoload-file (expand-file-name \"cider-autoloads.el\"))) \
+                  (update-directory-autoloads (expand-file-name \".\")))"
+
 lint: version elpa
 	$(CASK) exec $(EMACS) -Q --batch \
 		--eval "(setq enable-local-variables :safe)" \
@@ -46,7 +52,7 @@
 test-all: lint test
 
 clean:
-	rm -f .depend $(OBJECTS)
+	rm -f .depend $(OBJECTS) cider-autoloads.el
 
 elpaclean: clean
 	rm -f elpa*
@@ -54,3 +60,6 @@
 
 run-cider: elpa
 	cask exec $(EMACS) -Q -L . --eval "(require 'cider)"
+
+html:
+	mkdocs build
