=== debian/changelog ===
cider (0.18.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Update README.Debian for changes to jack-in commands
    - Add elpa-sesman & leiningen build-deps.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Sep 2018 11:07:23 -0700
