=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
  elpa-clojure-mode,
  elpa-pkg-info,
  elpa-queue,
+ elpa-sesman,
  elpa-spinner,
+ leiningen,
  mkdocs,
  mkdocs-bootstrap,
 Standards-Version: 4.1.2
