=== debian/changelog ===
cider (0.19.0+dfsg-3) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group. (see #952807)
  * Fix FTBFS with mkdocs 1.3.0. (Closes: #1009419)

 -- Adrian Bunk <bunk@debian.org>  Wed, 11 May 2022 16:20:45 +0300

cider (0.19.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Lukas Märdian ]
  * Cherry pick upstream commit 50228d441efee8b5de92a0f34039ea6380352d92
    to fix "Spies can only be created in ‘before-each’" (Closes: #954699)

  * Cherry pick upstream commit adeede55ebc8db26131a9f04bf596621574d742c
    - refreshed for current version
    - via upstream PR#2804 (together with commit 50228d)
    - https://github.com/clojure-emacs/cider/pull/2804

  * Cherry pick one hunk of 92d2c3ed0416d8010bb74252b535fff80bbcbfd5
    - only before-all > before-each is needed to fix the tests

  [ Dimitri John Ledkov ]
  * Drop debian/source/options, does not allow individual patches.

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 06 Jul 2020 12:30:35 +0200

cider (0.19.0+dfsg-2) unstable; urgency=medium

  * Cherry pick upstream commit a48af155d8acf64e7c3025146027ef2d62f1cc2e
    (Closes: #924697).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Mar 2019 08:49:20 -0700

cider (0.19.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Jan 2019 12:11:39 -0700

cider (0.18.0+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Stop overriding mkdocs theme, search works fine now.
  * Use dh_mkdocs instead of dh_linktree.
  * Prevent search_index.json from being compressed.

  [ Sean Whitton ]
  * Prevent any HTML docs being compressed, too.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 19 Dec 2018 11:53:14 +0000
