=== debian/control ===
--- 
+++ 
@@ -1,13 +1,10 @@
 Source: cider
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
-Uploaders:
- Sean Whitton <spwhitton@spwhitton.name>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 10),
  dh-elpa,
- dh-linktree,
  elpa-buttercup,
  elpa-clojure-mode,
  elpa-pkg-info,
@@ -15,8 +12,7 @@
  elpa-sesman,
  elpa-spinner,
  leiningen,
- mkdocs,
- mkdocs-bootstrap,
+ mkdocs (>= 1.0.4),
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/cider
 Vcs-Git: https://salsa.debian.org/emacsen-team/cider
@@ -29,6 +25,7 @@
 Depends:
  elpa-cider (= ${source:Version}),
  ${misc:Depends},
+ ${mkdocs:Depends},
 Description: Clojure IDE for Emacs - documentation
  CIDER is the Clojure(Script) Interactive Development Environment that Rocks
  .
